Legislation monthly counts
curl --request GET \
--url https://astreus.ai/api/v1/countries/{iso}/government/bills/monthly \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/countries/{iso}/government/bills/monthly"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/countries/{iso}/government/bills/monthly', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/countries/{iso}/government/bills/monthly",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/countries/{iso}/government/bills/monthly"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/countries/{iso}/government/bills/monthly")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/countries/{iso}/government/bills/monthly")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"iso2": "US",
"available": true,
"load": {
"isSample": false,
"inProgress": false,
"unrecorded": false,
"lastLoadedAt": "2026-09-19T01:51:46.741Z",
"stale": true,
"staleLanes": [
"govinfo/bills"
],
"failedLanes": [],
"runs": [
{
"sourceCode": "govinfo",
"lane": "bills",
"mode": "backfill",
"status": "succeeded",
"rowsWritten": 2803741,
"finishedAt": "2026-09-19T01:51:46.741Z"
}
]
},
"congress": 119,
"congresses": [
119,
118
],
"stages": {
"introduced": {
"months": [
{
"period": "2025-01-01",
"count": 1422
},
{
"period": "2025-02-01",
"count": 1517
}
],
"total": 18956
},
"passed_one": {
"months": [
{
"period": "2025-01-01",
"count": 75
},
{
"period": "2025-02-01",
"count": 61
}
],
"total": 1576
},
"cleared": {
"months": [
{
"period": "2025-01-01",
"count": 4
},
{
"period": "2025-02-01",
"count": 2
}
],
"total": 152
},
"law": {
"months": [
{
"period": "2025-01-01",
"count": 1
},
{
"period": "2025-03-01",
"count": 3
}
],
"total": 112
},
"vetoed": {
"months": [
{
"period": "2025-12-01",
"count": 2
}
],
"total": 2
}
}
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Macro
Legislation monthly counts
Monthly counts of measures first reaching each legislative stage: introduced, passed one chamber, cleared Congress, became law, vetoed.
GET
/
api
/
v1
/
countries
/
{iso}
/
government
/
bills
/
monthly
Legislation monthly counts
curl --request GET \
--url https://astreus.ai/api/v1/countries/{iso}/government/bills/monthly \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/countries/{iso}/government/bills/monthly"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/countries/{iso}/government/bills/monthly', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/countries/{iso}/government/bills/monthly",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/countries/{iso}/government/bills/monthly"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/countries/{iso}/government/bills/monthly")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/countries/{iso}/government/bills/monthly")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"iso2": "US",
"available": true,
"load": {
"isSample": false,
"inProgress": false,
"unrecorded": false,
"lastLoadedAt": "2026-09-19T01:51:46.741Z",
"stale": true,
"staleLanes": [
"govinfo/bills"
],
"failedLanes": [],
"runs": [
{
"sourceCode": "govinfo",
"lane": "bills",
"mode": "backfill",
"status": "succeeded",
"rowsWritten": 2803741,
"finishedAt": "2026-09-19T01:51:46.741Z"
}
]
},
"congress": 119,
"congresses": [
119,
118
],
"stages": {
"introduced": {
"months": [
{
"period": "2025-01-01",
"count": 1422
},
{
"period": "2025-02-01",
"count": 1517
}
],
"total": 18956
},
"passed_one": {
"months": [
{
"period": "2025-01-01",
"count": 75
},
{
"period": "2025-02-01",
"count": 61
}
],
"total": 1576
},
"cleared": {
"months": [
{
"period": "2025-01-01",
"count": 4
},
{
"period": "2025-02-01",
"count": 2
}
],
"total": 152
},
"law": {
"months": [
{
"period": "2025-01-01",
"count": 1
},
{
"period": "2025-03-01",
"count": 3
}
],
"total": 112
},
"vetoed": {
"months": [
{
"period": "2025-12-01",
"count": 2
}
],
"total": 2
}
}
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
apiKeycognitoIdToken
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
ISO 3166-1 alpha-2 country code (e.g. US).
Query Parameters
Congress number (1–200), or all. Default: the newest held.